Skip to main content
`Ctrl`+`K`

# DMPlexMetricSetNumIterations

Set the number of parallel adaptation iterations

## Synopsis

    #include "petscdmplex.h"
    PetscErrorCode DMPlexMetricSetNumIterations(DM dm, PetscInt numIter)

## Input Parameters

- dm - The `DM`

- numIter - the number of parallel adaptation iterations

## Note

This is only used by ParMmg (not Pragmatic or Mmg).

## See Also

`DMPLEX`, `DMPlexMetricSetVerbosity()`, `DMPlexMetricGetNumIterations()`

## Level

beginner

## Location

src/dm/impls/plex/plexmetric.c

Index of all DMPlex routines
Table of Contents for all manual pages
Index of all manual pages